package com.mints.street.bean

import android.annotation.SuppressLint
import android.os.Parcelable
import kotlinx.android.parcel.Parcelize


/**
 * 最外层请求数据
 *
 * {
 * "data":"SEebPNaIQqWTBAap3xfl21GzkIIVn/7W9S0Fwws6Mhl4mPb8ZjN+xEvQr5cy90px+ lUMt",
 * "key":"ckPc1k8d07O5UbV5csWOT1jUsO7rXHvEgAoAVKZYP/8Kabh7HIdHL1wdZ0JHDc OKeNzoDMNo5LunUIW0hc1rLPSWtJblZSuzzN2+/2VJnj1=="
 * }
 */
@SuppressLint("ParcelCreator")
@Parcelize
data class AppRequest(
    var channel: String? = "",
    var sign: String? = "",
    // 新增1.1.9
    var check: String? = "",
    var data: String? = ""
) : Parcelable
