package com.mints.street.bean

import java.io.Serializable

/**
 * 描述：用户信息
 * 作者：孟崔广
 * 时间：2021/7/29 18:42
 */
class UserBean : Serializable {
    val token: String = ""
    val consumer: ConsumerBean? = null

    inner class ConsumerBean : Serializable {
        val openid: String = ""
        val head: String = ""
        val nickname: String = ""
        val mobile: String = ""
        val idcode: String = ""
        val isForever: Boolean = false
        val expireTime : Long = 0
        val pk_id : Long = 0
    }
}
