package com.mints.street.db

import androidx.room.*

/**
 * Created by 冯瑞雨 on 2021/7/20.
 */
@Dao
interface ScenicSpotDao {
    /**
     * 添加 VR 免费专区
     *  OnConflictStrategy.REPLACE表如已有数据，就覆盖掉。
     */
    @Insert(onConflict = OnConflictStrategy.REPLACE)
    fun addVRFreeZoneAll(list:List<ScenicSpotBean>)
    /**
     * 获取 VR 免费专区
     */
    @Query("SELECT * FROM vr_scenic_spot")
    fun getVRFreeZoneAll(): List<ScenicSpotBean>
//
//    /**
//     * 删除 VR 免费专区
//     */
//    @Delete
//    fun deleteVRFreeZoneAll(list:List<ScenicSpotBean>)
//
//    /**
//     * 获取 国外的 免费专区
//     */
//    @Query("SELECT * FROM foreign_scenic_spots WHERE is_free = 1")
//    fun getForeignFreeAll(list:List<ForeignScenicSpots>)
//
//    /**
//     * 获取 国外的 收费(精选体验)
//     */
//    @Query("SELECT * FROM foreign_scenic_spots WHERE is_free = 2")
//    fun getForeignTollAll(list:List<ForeignScenicSpots>)
//
//    /**
//     * 添加 VR 国外
//     */
//    @Insert(onConflict = OnConflictStrategy.REPLACE)
//    fun addForeignAll(list:List<ForeignScenicSpots>)
//
//    /**
//     * 删除 VR 国外免费
//     */
//    @Query("DELETE FROM foreign_scenic_spots WHERE is_free =1")
//    fun deleteForeignFreeAll()
//    /**
//     * 删除 VR 国外收费
//     */
//    @Query("DELETE FROM foreign_scenic_spots WHERE is_free =2")
//    fun deleteForeignTollAll()



}