package com.mints.street.manager.oaid

import com.mints.street.AppApplication

object OaidManager {

    private var OAID = ""

    private val appIdsUpdater: MiitHelper.AppIdsUpdater = MiitHelper.AppIdsUpdater({ ids -> OAID = ids })

    /**
     * 移动安装联盟 获取OAID等设备标识符
     */
    fun init() {
        try {
            val miitHelper = MiitHelper(appIdsUpdater)
            miitHelper.initDeviceIds(AppApplication.getContext())
        } catch (e: Exception) {
            e.printStackTrace()
        }
    }

    fun getOaid()= OAID
}