package com.mints.street.netwrok.common;


import com.mints.street.bean.BaseResponse;

import io.reactivex.Observable;
import io.reactivex.ObservableSource;
import io.reactivex.ObservableTransformer;
import io.reactivex.functions.Function;
import retrofit2.Response;

/**
 * Created by jeme on 2019/2/25
 */
public class HttpErrorProcess {


    public static <T> ObservableTransformer<T, T> businessExceptionTransformer() {

        return new ObservableTransformer<T, T>() {
            @Override
            public ObservableSource<T> apply(Observable observable) {
                return observable
                        .map(new HandleFuc<T>());  //这里可以取出BaseResponse中的Result
            }
        };
    }

    private static class HandleFuc<T> implements Function<Response<BaseResponse<T>>, Response<BaseResponse<T>>> {
        @Override
        public Response<BaseResponse<T>> apply(Response<BaseResponse<T>> response) {

            if (response.body() == null) {
                return response;
            }
            if (response.body().getstatus() == 401 || response.body().getstatus() == 403) {//未登录 token 过期
//                IUserService.getInstance().loginInvalid();
//                IUserService.getInstance().navToLogin(AppManager.getAppManager().getCurrentActivity(), null);
                return null;
            } else if (response.body().getstatus() == 550) {
                //签名错误
               // ToastUtils.showShort(R.string.app_update_toast_tip);
                /*ToastUtils.showShort("请从正规渠道下载App");
                AppManager.getAppManager().finishAllActivity();
                Utils.getHandler().postDelayed(new Runnable() {
                    @Override
                    public void run() {
                        Process.killProcess(Process.myPid());
                        System.exit(0);
                    }
                }, 3000);*/
                return null;
            }
            return response;
        }
    }

    /*private static class HandleFuc<T> implements Function<BaseResponse<T>, BaseResponse<T>> {
        @Override
        public BaseResponse<T> apply(BaseResponse<T> response) {

           *//* if(response.body().getstatus() == 412506){//门店未注册
            }else if(response.body().getstatus() == 412539) {//用户未注册
            }*//*
            return response;
        }
    }*/
}
