package com.fry.base.binding

import androidx.databinding.BindingAdapter
import com.coorchice.library.SuperTextView

/**
 * 2020/7/9 created
 * @author KOM
 */
@BindingAdapter("solidColor", "strokeColor", "stvStrokeWidth",requireAll = false)
fun SuperTextView.setStyle(solidColor: Int?, strokeColor: Int?,stvStrokeWidth :Float?) {
    solidColor?.let {
        this.setSolid(it)
    }
    strokeColor?.let {
        this.setStrokeColor(it)
    }
    stvStrokeWidth?.let {
        this.setStrokeWidth(it)
    }
}
