package com.fry.base.global;


import com.fry.base.BuildConfig;

/**
 * Created by jeme on 2019/9/17
 */
public class Constants {

    public static final int DEFAULT_REQUEST_CODE = 1000;
    public static final int REQUEST_CODE_1 = DEFAULT_REQUEST_CODE + 1;
    public static final int REQUEST_CODE_2 = DEFAULT_REQUEST_CODE + 2;
    public static final int PAGE_SIZE = 10;


    /***
     * bugly配置信息
     */
    public static final String BUGLY_APP_ID = "df5783aab4";

    /**
     * 时间差
     * 手机本地时间与服务器时间差
     */
    private static long timeDiffForLocalAndService = -1;

    public static boolean isNeedRecalculateTimeDiff(){
        return timeDiffForLocalAndService == -1;
    }

    public static void setTimeDiffForLocalAndService(long timeDiffForLocalAndService) {
        Constants.timeDiffForLocalAndService = timeDiffForLocalAndService;
    }
    public static long getTimeDiffForLocalAndService(){
        return timeDiffForLocalAndService;
    }

    public static void restTimeDiffForLocalAndService(){
        timeDiffForLocalAndService = -1;
    }

    public static String getBaseUrl() {

        return BuildConfig.DEBUG_URL;
    }
}