package com.fry.base.router;

/**
 * 用于组件开发中，ARouter单Activity跳转的统一路径注册
 * 在这里注册添加路由路径，需要清楚的写好注释，标明功能界面
 * Created by goldze on 2018/6/21
 */

public class RouterActivityPath {
    public static class Base {
        private static final String BASE = "/base";
        /*主业务界面*/
        public static final String PAGER_COMMON_JS_WEB = BASE + "/commonJsWeb";

    }

    public static class Goods {
        private static final String GOODS = "/goods";

    }

    public static class Order {
        private static final String ORDER = "/order";
    }

}
