package me.goldze.mvvmhabit.utils

import android.view.MotionEvent
import android.view.View
import android.widget.EditText

/**
 * @author 冯瑞雨
 * @date 2020/4/27 19:32
 * 按下事件在View外关闭弹出框
 */
class IsShouldHideInputUtils {
    companion object {
        fun isShouldHideInput(v: View?, event: MotionEvent): Boolean {
            if (v != null && v is EditText) {
                val leftTop = intArrayOf(0, 0)
                //获取输入框当前的location位置
                v.getLocationInWindow(leftTop)
                val left = leftTop[0]
                val top = leftTop[1]
                val bottom = top + v.getHeight()
                val right = left + v.getWidth()
                // 点击的是输入框区域，保留点击EditText的事件
                return !(event.x > left && event.x < right && event.y > top && event.y < bottom)
            }
            return false
        }
    }
}