package com.mints.street.adapter

import android.content.Context
import com.alibaba.android.vlayout.DelegateAdapter
import com.alibaba.android.vlayout.VirtualLayoutManager
import com.alibaba.android.vlayout.layout.LinearLayoutHelper
import com.fry.base.adapter.AbstractVLayoutBaseAdapter
import com.fry.base.adapter.BindingViewHolder
import com.mints.street.R
import com.mints.street.bean.VreperienceBean
import com.mints.street.bean.VrmapBean
import com.mints.street.databinding.EnterDestinationAdapterBinding

/**
 * Created by 冯瑞雨 on 2021/7/9.
 */
class EnterDestinationAdapter(val context: Context,val bean :List<VreperienceBean.Data>?):
        AbstractVLayoutBaseAdapter<EnterDestinationAdapterBinding, List<VreperienceBean.Data>?>(context,bean,1) {


    private var vLayout: VirtualLayoutManager? = null
    private var mAdapter: DelegateAdapter? = null

    override fun onBindViewHolder(
            holder: BindingViewHolder<EnterDestinationAdapterBinding>,
            position: Int) {
        vLayout =  VirtualLayoutManager(context, VirtualLayoutManager.HORIZONTAL)
        mAdapter = DelegateAdapter(vLayout,false)

        holder.binding.listView.layoutManager = vLayout
        holder.binding.listView.adapter = mAdapter

        mAdapter?.addAdapter(ItemEnterDestinationAdapter(context,true,bean!!))


    }

    override fun getItemCount() = 1

    override fun onCreateLayoutHelper() = LinearLayoutHelper()
    override fun getLayoutId(viewType: Int) = R.layout.enter_destination_adapter
}