package com.mints.street.bean;

import org.jetbrains.annotations.NotNull;

import androidx.annotation.Nullable;

/**
 * Created by 冯瑞雨 on 2021/7/30.
 * 坐标对象，由经纬度构成
 * Created by xfkang on 2018/3/28.
 */

public class GPS {

    private @Nullable double lat;

    private @Nullable double lng;

    public GPS() {

    }
    public GPS(double lat, double lng) {
        this.lat = lat;
        this.lng = lng;
    }

    public double getLat() {
        return lat;
    }
    @Nullable
    public void setLat(double lat) {
        this.lat = lat;
    }

    public double getLng() {
        return lng;
    }
    @Nullable
    public void setLng(double lng) {
        this.lng = lng;
    }

    public String toString() {
        return "lat:" + lat + "," + "lng:" + lng;
    }
}