package com.mints.street.main.home

import com.mints.street.webview.MintsWebViewActivity
import me.goldze.mvvmhabit.base.ItemViewModel
import me.goldze.mvvmhabit.binding.command.BindingAction
import me.goldze.mvvmhabit.binding.command.BindingCommand

/**
 * Created by 冯瑞雨 on 2021/7/9.
 */
class HomeButtonItemVM(viewModel: HomeViewModel,val name:String?,val image1:String,
                       val image2:String,val image3:String,
                       var latitude:String?,var longitude:String?,val isLook:Boolean?=false) : ItemViewModel<HomeViewModel?>(viewModel) {

    val onItemClick = BindingCommand<Any?>(BindingAction {
        viewModel.authorized(name,latitude,longitude,isLook?:false)
    })

}