package com.mints.street.main.home

import android.content.Intent
import com.baidu.mapapi.model.LatLng
import com.mints.street.bean.HistoryBean
import com.mints.street.bean.Location
import me.goldze.mvvmhabit.base.AppManager
import me.goldze.mvvmhabit.base.ItemViewModel
import me.goldze.mvvmhabit.binding.command.BindingAction
import me.goldze.mvvmhabit.binding.command.BindingCommand
import me.goldze.mvvmhabit.utils.KLog

/**
 * Created by 冯瑞雨 on 2021/7/15.
 *
 */
class SearchAfterItem(viewModel: SearchMapViewModel,val name:String?
                      , val address:String?,val pt: Location?=null) :
        ItemViewModel<SearchMapViewModel>(viewModel) {
    /***
     * 点击名称回调回调
     */
    val onClick = BindingCommand<Any>(BindingAction {
        viewModel.searchName.value = HistoryBean(name = this.name,
                latitude = pt?.lat,longitude = pt?.lng)
        val intent = Intent()
        intent.putExtra("latitude",pt?.lat)
        intent.putExtra("longitude",pt?.lng)
        viewModel.finishData(SearchMapActivity.REQUEST_CODE,intent)
    })
}
