package com.mints.street.main.vr

import com.mints.street.main.home.HomeViewModel
import com.mints.street.webview.MintsWebViewActivity
import me.goldze.mvvmhabit.base.ItemViewModel
import me.goldze.mvvmhabit.binding.command.BindingAction
import me.goldze.mvvmhabit.binding.command.BindingCommand

class FreeButtonItemVM(viewModel: HomeViewModel, val name:String?, val image1:String,
                                       val image2:String, val image3:String,
                                       var latitude:String?, var longitude:String?) : ItemViewModel<HomeViewModel?>(viewModel) {

    val onItemClick = BindingCommand<Any?>(BindingAction {
        //SearchMapActivity.startSearchMapActivity()
        MintsWebViewActivity.startWebView(name)
    })

}