package com.mints.street.splash

import android.os.Bundle
import android.view.View
import com.bumptech.glide.Glide
import com.fry.base.BR
import com.fry.base.base.BaseActivity
import com.mints.street.R
import com.mints.street.databinding.ActivityGuideBinding
import com.mints.street.main.MainActivity
import kotlinx.android.synthetic.main.activity_guide.*
import me.goldze.mvvmhabit.utils.systembar.StatusBarUtil

class GuideActivity : BaseActivity<ActivityGuideBinding,GuideBindingViewModel>(), View.OnClickListener {

    override fun initContentView(savedInstanceState: Bundle?)=R.layout.activity_guide

    override fun initVariableId()= BR.viewModel
    override fun getStatusBarHeightView(): View? {
        return null
    }
    override fun initData() {
        super.initData()
        StatusBarUtil.setHeightAndPadding(this, binding.lyLinear)
        initView()
        initListener()
    }

    private fun initListener() {
        bt_enter.setOnClickListener(this)
    }

    private fun initView() {
//        Glide.with(this).asGif().load(R.mipmap.earth).into(iv_earth);
    }

    override fun onClick(v: View?) {
        when(v?.id){
            R.id.bt_enter->{
                startActivityThenKill(MainActivity::class.java)
            }
        }
    }
}