package com.fry.base.config;

/**
 * Created by jeme on 2019/9/16
 * 组件生命周期反射类名管理，在这里注册需要初始化的组件，通过反射动态调用各个组件的初始化方法
 * 注意：以下模块中初始化的Module类不能被混淆
 */

public class ModuleLifecycleReflexs {
    private static final String BASE_INIT = "com.fry.base.base.BaseModuleInit";


    public static String[] initModuleNames = {
            BASE_INIT
    };
}
