package com.fry.base.expand

import me.goldze.mvvmhabit.utils.Utils


/**
 * 2020/6/24 created
 * @author KOM
 */
fun Float.dip2px(): Int {
    val scale: Float = Utils.getContext().resources.displayMetrics.density
    return (this * scale + 0.5f).toInt()
}

fun Float.px2dip(): Int {
    val scale: Float = Utils.getContext().resources.displayMetrics.density
    return (this / scale + 0.5f).toInt()
}

fun Float.px2sp(): Int {
    val fontScale: Float = Utils.getContext().resources.displayMetrics.scaledDensity
    return (this / fontScale + 0.5f).toInt()
}

fun Float.sp2px(): Int {
    val fontScale: Float = Utils.getContext().resources.displayMetrics.scaledDensity
    return (this * fontScale + 0.5f).toInt()
}

fun Int.dip2px(): Int = this.toFloat().dip2px()

fun Int.px2dip(): Int = this.toFloat().px2dip()

fun Int.px2sp(): Int = this.toFloat().px2sp()

fun Int.sp2px(): Int = this.toFloat().sp2px()