package com.fry.base.global;


import com.fry.base.BuildConfig;

public class InitConstants {

    private static Boolean DEBUG;
    private static Boolean BUILD_PRODUCT;
    private static String FLAVORS = "";
    private static Integer VERSION_CODE;
    private static String VERSION_NAME;
    
    public static boolean isDebug() {
        if (DEBUG == null) {
            return false;
        }
        return DEBUG;
    }
    
    public static void setDebug(boolean debug) {
        if (DEBUG == null) {
            DEBUG = debug;
        }
    }
    
    public static boolean isBuildProduct() {
        if (BUILD_PRODUCT == null) {
            return true;
        }
        return BUILD_PRODUCT;
    }
    
    public static void setBuildProduct(boolean isProduct) {
        if (BUILD_PRODUCT == null) {
            BUILD_PRODUCT = isProduct;
        }
    }
    
    public static String getFlavors() {
        if (FLAVORS == null || FLAVORS.isEmpty()) {
            return "product";
        }
        return FLAVORS;
    }
    
    public static void setFlavors(String flavors) {
        if (FLAVORS == null || FLAVORS.isEmpty()) {
            FLAVORS = flavors;
        }
    }
    
    public static int getVersionCode() {
        if (VERSION_CODE == null) {
            //fry
            //return BuildConfig.VERSION_CODE;
            return 0;
        }
        return VERSION_CODE;
    }
    
    public static void setVersionCode(int code) {
        if (VERSION_CODE == null) {
            VERSION_CODE = code;
        }
    }
    
    public static String getVersionName() {
        if (VERSION_NAME == null) {
            return BuildConfig.VERSION_NAME;
        }
        return VERSION_NAME;
    }
    
    public static void setVersionName(String name) {
        if (VERSION_NAME == null) {
            VERSION_NAME = name;
        }
    }
}
