package com.fry.base.recycler_view

import android.content.Context
import androidx.recyclerview.widget.GridLayoutManager
import androidx.recyclerview.widget.LinearLayoutManager
import androidx.recyclerview.widget.RecyclerView

/**
 * 2020/6/23 created
 * @author KOM
 */
object LayoutManagerUtil {

    fun linear(context: Context, isVertical: Boolean = true) = LinearLayoutManager(
        context,
        if (isVertical) RecyclerView.VERTICAL else RecyclerView.HORIZONTAL,
        false
    )

    fun grid(context: Context, spanCount: Int, isVertical: Boolean = true) =
        GridLayoutManager(
            context, spanCount,
            if (isVertical) RecyclerView.VERTICAL else RecyclerView.HORIZONTAL,
            false
        )
}

