package com.fry.base.utils;

import android.graphics.drawable.Drawable;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;

import com.bumptech.glide.Glide;
import com.bumptech.glide.request.target.SimpleTarget;
import com.bumptech.glide.request.transition.Transition;
import com.coorchice.library.ImageEngine;
import com.coorchice.library.image_engine.Engine;

import me.goldze.mvvmhabit.utils.Utils;

/**
 * SuperTextView 图片引擎
 * @author jeme
 * @date 2019/10/11
 */
public class GlideEngine implements Engine {
    @Override
    public void load(String url, ImageEngine.Callback callback) {
        Glide.with(Utils.getContext()).load(url).into(new SimpleTarget<Drawable>() {
            @Override
            public void onResourceReady(@NonNull Drawable resource, @Nullable Transition<? super Drawable> transition) {
                callback.onCompleted(resource);
            }
        });
    }
}
