package me.goldze.mvvmhabit.utils;

import android.content.pm.ApplicationInfo;
import android.content.pm.PackageManager;

/**
 * AndroidManifest工具栏
 * Created by jeme on 2019/2/12
 */
public class ManifestUtils {

    public static String getAppMetaData(String key){
        ApplicationInfo info= null;
        try {
            info = Utils.getContext().getPackageManager()
                    .getApplicationInfo(Utils.getContext().getPackageName(),
                            PackageManager.GET_META_DATA);
            return info.metaData.getString(key);
        } catch (PackageManager.NameNotFoundException e) {
            e.printStackTrace();
        }
        return "";
    }
}
